<?php

namespace Drupal\access_policy;

use Drupal\Core\Entity\ContentEntityTypeInterface;
use Drupal\Core\Entity\Sql\SqlContentEntityStorageSchema;

/**
 * Defines the content access policy schema handler.
 */
class ContentAccessPolicyStorageSchema extends SqlContentEntityStorageSchema {

  /**
   * {@inheritdoc}
   */
  protected function getEntitySchema(ContentEntityTypeInterface $entity_type, $reset = FALSE) {
    $schema = parent::getEntitySchema($entity_type, $reset);

    $unique_keys = [
      'content_entity_type_id',
      'content_entity_id',
    ];
    if ($data_table = $this->storage->getDataTable()) {
      $schema[$data_table]['unique keys'] += [
        'content_access_policy__lookup' => $unique_keys,
      ];
    }

    return $schema;
  }

}
