<?php

namespace Drupal\access_policy\Plugin\AccessRule;

/**
 * Basic trait for helping with field validation.
 */
trait AccessRuleOperatorTrait {

  /**
   * Simple contains comparison for arrays.
   *
   * @param array $array1
   *   First array.
   * @param array $array2
   *   Second array.
   *
   * @return bool
   *   TRUE if any values in the first array are in the second array.
   */
  public function contains(array $array1, array $array2) {
    foreach ($array1 as $value) {
      if (in_array($value, $array2)) {
        return TRUE;
      }
    }
    return FALSE;
  }

}
